// node modules
import { createUseStyles } from "react-jss";

// local files
import {
    labelClassName,
    labelWrapperRoot,
    inputSelectCommonStylesProps,
    activeLabelClassName,
    disabled,
    errorClass
} from "../../theme/common";
import { alignment } from "../../theme/alignment";
import SFProText from '../../assets/fonts/SF-Pro-Text-Regular.otf';

export const useStyles = createUseStyles({
    '@font-face': {
        fontFamily: "SF Pro Text",
        src: `url('${SFProText}') format("opentype")`
    },
    root: {
       ...labelWrapperRoot,
        display: 'flex',
        paddingRight: 16
    },
    input: {
        ...inputSelectCommonStylesProps,
        width: '100%',
        textAlign: 'left',
        fontFamily: 'SF Pro Text'
    },
    inputAdorned: {
        left: '30px !important'
    },
    inputAdornedActive: {
        left: '32px !important'
    },
    unlabeled: {
        padding: '12px 0 12px .75rem'
    },
    labelClass: {
        ...labelClassName
    },
    active: {
        ...activeLabelClassName
    },
    disabledClass: {
        ...disabled
    },
    errorClass: {
        ...errorClass
    },
    typeWrapper: {
        ...alignment.center,
        paddingLeft: 11,
        whiteSpace: 'nowrap'
    },
    typeWrapperStart: {
        ...alignment.center,
        paddingRight: 11
    },
    clearIconClass: {
        cursor: 'pointer',
        paddingLeft: 11
    }
});
