// node modules
import React, { FC, ReactElement } from 'react';
import { createPortal } from 'react-dom';

// local components
import { DialogContent } from "./dialog_content";

const showModal = (dialog: ReactElement) => {
    const existingModal = document.getElementById('modalRoot');

    if (existingModal) {
        document.body.removeChild(existingModal);
    }

    const div = document.createElement('div');
    div.setAttribute('id', 'modalRoot');
    document.body.appendChild(div);

    return createPortal(dialog, div);
}

export interface ModalWindowProps {
    children?: any;
    open?: boolean;
    rootClassName?: boolean;
}

export const ModalWindow: FC<ModalWindowProps> = (props) => {
    return showModal(<DialogContent {...props} />)
}
